<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2013 David Frerich (dfrerich@cdfre.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

namespace IMIA\Base\Hook;

/**
 * @package     imia_base
 * @subpackage  Hook
 * @author      David Frerich <d.frerich@imia.de>
 */
class PageRenderer
{
    /**
     * @param array $params
     * @param \TYPO3\CMS\Core\Page\PageRenderer $parent
     * @return array
     */
	public function renderPostProcess(&$params, $parent)
    {
		$conf = $GLOBALS['TSFE']->config['config'];

        $htmlTagParams  = preg_replace('/<html([^>]*)>/ism', '$1', $params['htmlTag']);
		if ($conf['htmlTag']) {
			$params['htmlTag'] = str_replace('###params###', $conf['htmlTag']);
		} else {
            $params['htmlTag'] =
                '<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"###params###> <![endif]-->' . "\n" .
                '<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"###params###> <![endif]-->' . "\n" .
                '<!--[if IE 8]>         <html class="no-js lt-ie9"###params###> <![endif]-->' . "\n" .
                '<!--[if gt IE 8]><!--> <html class="no-js"###params###> <!--<![endif]-->';
        }
        $params['htmlTag'] = str_replace('###params###', $htmlTagParams, $params['htmlTag']);

		return $params;
	}
}