<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2013 IMIA net based solutions (d.frerich@imia.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

if (!defined ('TYPO3_MODE')) {
    die ('Access denied.');
}

$GLOBALS['TYPO3_CONF_VARS']['FE']['addRootLineFields'] .= ', module';

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript($_EXTKEY, 'setup',
    '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/TypoScript/setup.ts">', true);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPItoST43($_EXTKEY,
    'Classes/Plugin/TemplavoilaContentSlide.php', 'TemplavoilaContentSlide', '', 1);

if (getenv('APPLICATION_ENV') == 'dev') {
    // disable TypoScript Cache
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig(
        'admPanel.override.tsdebug.forceTemplateParsing = 1');
}

if (!function_exists('user_isInMenuFolder')) {
    function user_isInMenuFolder()
    {
        $inMenuFolder = false;
        if ($GLOBALS['TSFE'] && $GLOBALS['TSFE']->tmpl && is_array($GLOBALS['TSFE']->tmpl->rootLine)) {
            foreach ($GLOBALS['TSFE']->tmpl->rootLine as $page) {
                if ($page['module'] == 'menu') {
                    $inMenuFolder = true;
                    break;
                }
            }
        }

        return $inMenuFolder;
    }
}

/* Hook */
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/class.tslib_fe.php']['configArrayPostProc']['tx_imiabase'] =
    'IMIA\Base\Hook\TypoScriptFrontendController->configArrayPostProc';

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_page.php']['getRecordOverlay']['tx_imiabase'] =
    'IMIA\Base\Hook\PageRepositoryGetRecordOverlayHook';

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_pagerenderer.php']['render-postProcess']['tx_imiabase'] =
    'IMIA\Base\Hook\PageRenderer->renderPostProcess';

/* Xclass */
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Backend\View\LogoView'] = array(
    'className' => 'IMIA\Base\Xclass\Backend\View\LogoView',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Core\TypoScript\TemplateService'] = array(
    'className' => 'IMIA\Base\Xclass\Core\TypoScript\TemplateService',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Core\TypoScript\ExtendedTemplateService'] = array(
    'className' => 'IMIA\Base\Xclass\Core\TypoScript\ExtendedTemplateService',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Core\TypoScript\ConfigurationForm'] = array(
    'className' => 'IMIA\Base\Xclass\Core\TypoScript\ConfigurationForm',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['tx_templavoila_pi1'] = array(
    'className' => 'IMIA\Base\Xclass\TemplaVoila\Plugin\Pi1',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['tx_templavoila_module1'] = array(
    'className' => 'IMIA\Base\Xclass\TemplaVoila\Module\Module1',
);

if (TYPO3_version >= '6.1.0') { // Hook (htmlTag) is not called anymore
    $GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Core\Page\PageRenderer'] = array(
        'className' => 'IMIA\Base\Xclass\Core\Page\PageRenderer',
    );
}

/* rsaauth patch for multiple felogin-forms
 * http://forge.typo3.org/issues/24877 */
if (1 == 1) {
    $GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Rsaauth\Keypair'] = array(
        'className' => 'IMIA\Base\Xclass\Rsaauth\Keypair',
    );
    $GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Rsaauth\Backend\CommandLineBackend'] = array(
        'className' => 'IMIA\Base\Xclass\Rsaauth\Backend\CommandLineBackend',
    );
    $GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Rsaauth\Backend\PhpBackend'] = array(
        'className' => 'IMIA\Base\Xclass\Rsaauth\Backend\PhpBackend',
    );
    $GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Rsaauth\Hook\FrontendLoginHook'] = array(
        'className' => 'IMIA\Base\Xclass\Rsaauth\Hook\FrontendLoginHook',
    );
}